
QGIS Application - Bug report #17738

Not show data for oracle layers in QGIS 2.99

2017-12-22 07:42 AM - Eugene Efimov

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Windows 10 Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25634

Description

For layers from Oracle not show data.

Associated revisions

Revision 7ffc148e - 2018-03-06 12:27 AM - Nyall Dawson

[oracle] Fix provider

The oracle provider is quite broken on 3.0 for tables which require

a feature id map.

This is due to QMap<QVariant,..> not working correctly when the

keys are QVariantLists on Qt5. We had a similar issue with the

postgres provider which was resolved by changing the map

to always use QVariantLists.

Apply the same fix to oracle.

Fixes #18289, #16869, #17738

Revision 5234212e - 2018-03-06 02:20 AM - Nyall Dawson

[oracle] Fix provider

The oracle provider is quite broken on 3.0 for tables which require

a feature id map.

This is due to QMap<QVariant,..> not working correctly when the

keys are QVariantLists on Qt5. We had a similar issue with the

postgres provider which was resolved by changing the map

to always use QVariantLists.

Apply the same fix to oracle.

Fixes #18289, #16869, #17738

(cherry-picked from 7ffc148)
History

#1 - 2018-03-06 12:27 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|7ffc148e356ef251e93502e3c965bf912592eda2.

#2 - 2018-03-06 09:51 AM - Giovanni Manghi

- Resolution set to fixed/implemented
